[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] build: drop check for ANSI compiler



On Thu, Jan 05, 2012 at 02:25:27PM -0700, Eric Blake wrote:
> Using automake.git (will become 1.12 someday), I got this error:
> 
> configure.ac:90: error: automatic de-ANSI-fication support has been removed
> /usr/local/share/aclocal-1.11a/protos.m4:13: AM_C_PROTOTYPES is expanded from...
> configure.ac:90: the top level
> autom4te: /usr/bin/m4 failed with exit status: 1
> 
> In short, pre-C89 compilers are no longer a viable portability
> target.  Besides, our code base already requires C99, so worrying
> about pre-C89 seems pointless.

ACK,  it is 2012 already. Worrying about things pre-dating 1999
is a waste of everyone's time & effort.

Regards,
Daniel
-- 
|: http://berrange.com      -o-    http://www.flickr.com/photos/dberrange/ :|
|: http://libvirt.org              -o-             http://virt-manager.org :|
|: http://autobuild.org       -o-         http://search.cpan.org/~danberr/ :|
|: http://entangle-photo.org       -o-       http://live.gnome.org/gtk-vnc :|


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]